# KSPBuildResidual

Builds the residual in a vector provided.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPBuildResidual(KSP ksp,Vec t,Vec v,Vec *V)

Collective on KSP

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameters

| v | - optional location to stash residual. If v is not provided, then a location is generated.
| t | - work vector. If not provided then one is generated.
| V | - the residual

### Notes

Regardless of whether or not v is provided, the residual is returned in V.

### Keywords

KSP, build, residual

### See Also

KSPBuildSolution()

Level:advanced
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages